﻿Module modAPI

    '////////////////////////////////////////////////////////////
    ' ＡＰＩ
    '------------------------------------------------------------

    ' 指定位置にあるウィンドウのハンドルを取得
    Public Declare Function WindowFromPoint Lib "user32.dll" (ByVal xPoint As Integer, ByVal yPoint As Integer) As Integer

    'ウィンドウのクラス名を取得
    Private Declare Function GetClassName Lib "user32.dll" Alias "GetClassNameA" (ByVal hWnd As Integer, ByVal lpClassName As String, ByVal nMaxCount As Integer) As Integer

    ' 親ウィンドウのハンドルを取得
    Private Declare Function GetParent Lib "user32.dll" (ByVal hWnd As Integer) As Integer

    'キー押下状態判定
    Public Declare Function GetAsyncKeyState Lib "user32.dll" (ByVal vKey As Integer) As Integer
    Public Const VK_ESCAPE As Integer = &H1B 'Escape




    '//////////////////////////////////////////////////////////////////////
    ' ＡＰＩ　ラッパー関数
    '----------------------------------------------------------------------
    Public Function GetTopParent(ByVal hWnd As Integer) As Integer
        '
        ' 最上位の親ウィンドウのハンドルを取得
        '
        Dim rc As Integer

        GetTopParent = hWnd
        Do
            rc = GetParent(hWnd)
            If rc <> 0 Then
                GetTopParent = rc
                hWnd = rc
            End If
        Loop While rc <> 0

    End Function

    Public Function MyGetClassName(ByVal hWnd As Integer) As String
        '
        ' ウィンドウハンドルからクラス名を取得
        '
        Dim lngRc As Integer
        Dim strBuffer As New VB6.FixedLengthString(128)

        ' クラス名をバッファへ取得
        lngRc = GetClassName(hWnd, strBuffer.Value, Len(strBuffer.Value))
        ' クラス名を表示
        MyGetClassName = Left(strBuffer.Value, InStr(strBuffer.Value, vbNullChar) - 1)

    End Function


End Module
